Subject: Re: [ppsp] CoolRuc and PPSP

From: Ning Zong <[email-masked]>
Date: Mon, 09 Nov 2009 22:05:59 +0900

Hi, Alberto,

Thank you for your contribution. Victor has sent me your slides and we will see how to incorporate your work into PPSP requirements slides first. Then we can discuss in the BoF.

BR,
Ning Zong

Hi all,

I would like to inform you about a project I was involved which has relation to your work within PPSP WG. The project was named TRILOGY (developed at the I2CAT Foundation [http://www.i2cat.net/en/projecte/trilogy-1]). Here, we developed a P2P Live Streaming Application called CoolRuc. 

In short, CoolRuc is able to distribute prerecorded (from a file) or live (from a video camera) video contents (CIF, SD, HD,…) in a distributed manner. CoolRuc takes advantage of video source coding techniques (MDC and SVC) for providing scalable and robust transmission.  Moreover, these techniques allow to operate in heterogeneous and dynamic environments where different types of access networks and end-devices can be found. CoolRuc is mesh-pull-based at distribution level.

Concretely, CoolRuc was focused in the following issues:

- Media Coding in heterogeneous P2P environments
- Content management in P2P
- Content Adaptation in P2P
- Transport plane improvements 
According to our experience, I think that we can contribute to PPSP standardization process in some points, for instance: definition of requirements, PPSP tracker protocol communication, PPSP Peer Protocol, etc.
In this sense, I have provided some slides describing our work with CoolRuc (highlighting CoolRuc and PPSP common points) to Yunfei and Victor which I hope that will be useful for the next PPSP BOF meeting.
BR,
-- 
Alberto Jose Gonzalez Cela
Universitat Politecnica de Catalunya / i2CAT Foundation 
MSc,
Research Engineer